Index: /gs3-extensions/maori-lang-detection/conf/log4j.properties
===================================================================
--- /gs3-extensions/maori-lang-detection/conf/log4j.properties	(revision 33400)
+++ /gs3-extensions/maori-lang-detection/conf/log4j.properties	(revision 33400)
@@ -0,0 +1,45 @@
+# See for basic example https://stackoverflow.com/questions/125 32339/no-appenders-could-be-found-for-loggerlog4j
+# For better examples, see /greenstone/greenstone3/web/WEB-INF/classes/log4j.properties
+# Manual (examples use XML versions of log4j config files): https://logging.apache.org/log4j/2.x/manual/configuration.html
+# https://logging.apache.org/log4j/2.x/manual/configuration.html#Properties
+# HH (0-24 hrs) vs hh (0-12 hrs, am/pm): https://docs.oracle.com/javase/7/docs/api/java/text/SimpleDateFormat.html
+# https://logging.apache.org/log4j/1.2/manual.html
+####################### 
+
+# define some reusable properties
+maori-lang-detector.home=/Scratch/ak19/gs3-extensions/maori-lang-detection
+maori-lang-detector.logpath=${maori-lang-detector.home}/logs
+
+# Let's log everything from the most basic DEBUG msgs on (so INFO, WARN, ERROR too)
+log4j.rootCategory=DEBUG, mldlog
+
+# copied from GS3
+log4j.category.web.servlets.DirectInput=INFO, mldlog
+# Prevent logging duplicating its messages into rootLogger:
+# https://stackoverflow.com/questions/9208710/java-log4j-log-to-both-category-and-root-logger
+log4j.additivity.web.servlets.DirectInput=false
+
+# We're saying our log "mldlog" is some file that gets appended to,
+# and it will write it out to "maori-lang-detector.log" located in whatever we defined the "logpath" to be
+
+# Old way of logging:
+#log4j.appender.mldlog=org.apache.log4j.RollingFileAppender
+#log4j.appender.mldlog.File=${maori-lang-detector.logpath}/maori-lang-detector.log
+## https://howtodoinjava.com/log4j/log4j-rolling-file-appender/
+##log4j.appender.mldlog.MaxBackupIndex=10
+
+# We want a DailyRollingFileAppender.
+# Its behaviour is explained at
+# https://examples.javacodegeeks.com/enterprise-java/log4j/log4j-rolling-daily-file-example/
+log4j.appender.mldlog=org.apache.log4j.DailyRollingFileAppender
+log4j.appender.mldlog.File=${maori-lang-detector.logpath}/maori-lang-detector.log
+log4j.appender.mldlog.DatePattern='.'yyyy-MM-dd
+	# set to roll over every day, can change this to weekly/every min etc, see https://logging.apache.org/log4j/1.2/apidocs/org/apache/log4j/DailyRollingFileAppender.html
+
+# if you have more logs, define category, additivity, appender and appender.File for it as above
+# for each log also set the format of the output as below, after setting the layout to use PatternLayout class to parse the format
+
+log4j.appender.mldlog.layout=org.apache.log4j.PatternLayout
+log4j.appender.mldlog.layout.ConversionPattern=%-5p: [%d{yyyy-MM-dd HH:mm:ss}] %C{1}.%M()%n %m%n
+
+#######################
Index: /gs3-extensions/maori-lang-detection/conf/log4j.properties.in
===================================================================
--- /gs3-extensions/maori-lang-detection/conf/log4j.properties.in	(revision 33400)
+++ /gs3-extensions/maori-lang-detection/conf/log4j.properties.in	(revision 33400)
@@ -0,0 +1,45 @@
+# See for basic example https://stackoverflow.com/questions/125 32339/no-appenders-could-be-found-for-loggerlog4j
+# For better examples, see /greenstone/greenstone3/web/WEB-INF/classes/log4j.properties
+# Manual (examples use XML versions of log4j config files): https://logging.apache.org/log4j/2.x/manual/configuration.html
+# https://logging.apache.org/log4j/2.x/manual/configuration.html#Properties
+# HH (0-24 hrs) vs hh (0-12 hrs, am/pm): https://docs.oracle.com/javase/7/docs/api/java/text/SimpleDateFormat.html
+# https://logging.apache.org/log4j/1.2/manual.html
+####################### 
+
+# define some reusable properties
+maori-lang-detector.home=@maori-lang-detector.home@
+maori-lang-detector.logpath=${maori-lang-detector.home}/web/logs
+
+# Let's log everything from the most basic DEBUG msgs on (so INFO, WARN, ERROR too)
+log4j.rootCategory=DEBUG, mldlog
+
+# copied from GS3
+log4j.category.web.servlets.DirectInput=INFO, mldlog
+# Prevent logging duplicating its messages into rootLogger:
+# https://stackoverflow.com/questions/9208710/java-log4j-log-to-both-category-and-root-logger
+log4j.additivity.web.servlets.DirectInput=false
+
+# We're saying our log "mldlog" is some file that gets appended to,
+# and it will write it out to "maori-lang-detector.log" located in whatever we defined the "logpath" to be
+
+# Old way of logging:
+#log4j.appender.mldlog=org.apache.log4j.RollingFileAppender
+#log4j.appender.mldlog.File=${maori-lang-detector.logpath}/maori-lang-detector.log
+## https://howtodoinjava.com/log4j/log4j-rolling-file-appender/
+##log4j.appender.mldlog.MaxBackupIndex=10
+
+# We want a DailyRollingFileAppender.
+# Its behaviour is explained at
+# https://examples.javacodegeeks.com/enterprise-java/log4j/log4j-rolling-daily-file-example/
+log4j.appender.mldlog=org.apache.log4j.DailyRollingFileAppender
+log4j.appender.mldlog.File=${maori-lang-detector.logpath}/maori-lang-detector.log
+log4j.appender.mldlog.DatePattern='.'yyyy-MM-dd
+	# set to roll over every day, can change this to weekly/every min etc, see https://logging.apache.org/log4j/1.2/apidocs/org/apache/log4j/DailyRollingFileAppender.html
+
+# if you have more logs, define category, additivity, appender and appender.File for it as above
+# for each log also set the format of the output as below, after setting the layout to use PatternLayout class to parse the format
+
+log4j.appender.mldlog.layout=org.apache.log4j.PatternLayout
+log4j.appender.mldlog.layout.ConversionPattern=%-5p: [%d{yyyy-MM-dd HH:mm:ss}] %C{1}.%M()%n %m%n
+
+#######################