Index: gs3-extensions/maori-lang-detection/MoreReading/CommonCrawl.txt
===================================================================
--- gs3-extensions/maori-lang-detection/MoreReading/CommonCrawl.txt	(revision 33408)
+++ gs3-extensions/maori-lang-detection/MoreReading/CommonCrawl.txt	(revision 33409)
@@ -1,2 +1,42 @@
+
+WET FILES:
+
+https://stackoverflow.com/questions/16649535/access-a-common-crawl-aws-public-dataset/25297965#25297965
+
+
+http://commoncrawl.org/2019/07/june-2019-crawl-archive-now-available/
+			File List	#Files	Total Size Compressed (TiB)
+	WET files	CC-MAIN-2019-26/wet.paths.gz	56000	7.59
+
+
+http://commoncrawl.org/2015/04/announcing-the-common-crawl-index/
+(Instructions)
+
+https://gist.github.com/svemir/4207353
+(Hadoop related) A Common Crawl Experiment
+
+https://gist.github.com/Smerity/afe7430fdb4371015466
+
+ Extract just the text from Common Crawl WARC WET files
+ 
+https://stackoverflow.com/tags/common-crawl/hot?filter=all
+
+https://stackoverflow.com/questions/45920527/get-offset-and-length-of-a-subset-of-a-wat-archive-from-common-crawl-index-serve/46152773#46152773
+
+
+"The Common Crawl index does not contain offsets into WAT and WET files. So, the only way is to search the whole WAT/WET file for the desired record/URL. Eventually, it would be possible to estimate the offset because the record order in WARC and WAT/WET files is the same."
+
+https://dmorgan.info/posts/common-crawl-python/
+https://groups.google.com/forum/#!topic/common-crawl/pdI3w09AAbQ
+
+Example:
+WARC:
+tikauka:[142]/Scratch/anupama/maori-lang-detection>wget https://commoncrawl.s3.amazonaws.com/crawl-data/CC-MAIN-2019-30/segments/1563195526237.47/crawldiagnostics/CC-MAIN-20190719115720-20190719141720-00077.warc.gz
+WET:
+tikauka:[142]/Scratch/anupama/maori-lang-detection>wget https://commoncrawl.s3.amazonaws.com/crawl-data/CC-MAIN-2019-30/segments/1563195526237.47/wet/CC-MAIN-20190719115720-20190719141720-00508.warc.wet.gz
+tikauka:[142]/Scratch/anupama/maori-lang-detection>gunzip CC-MAIN-20190719115720-20190719141720-00508.warc.wet.gz 
+
+
+--------------------------------------------
 http://webdatacommons.org/
 
Index: gs3-extensions/maori-lang-detection/MoreReading/WebScraping.txt
===================================================================
--- gs3-extensions/maori-lang-detection/MoreReading/WebScraping.txt	(revision 33409)
+++ gs3-extensions/maori-lang-detection/MoreReading/WebScraping.txt	(revision 33409)
@@ -0,0 +1,10 @@
+
+http://www.basicsbehind.com/extract-text-webpage/
+	http://www.l3s.de/~kohlschuetter/publications/wsdm187-kohlschuetter.pdf
+
+
+https://jsoup.org/
+https://uhack-guide.readthedocs.io/en/latest/technical/scraping/
+
+https://blog.ouseful.info/2015/02/09/getting-text-of-anything-docs-pdfs-images-using-apache-tika/
+	https://tika.apache.org/1.20/examples.html
Index: gs3-extensions/maori-lang-detection/MoreReading/macrons_with_emacs.txt
===================================================================
--- gs3-extensions/maori-lang-detection/MoreReading/macrons_with_emacs.txt	(revision 33409)
+++ gs3-extensions/maori-lang-detection/MoreReading/macrons_with_emacs.txt	(revision 33409)
@@ -0,0 +1,23 @@
+Adding Macrons using emacs:
+
+https://www.stat.auckland.ac.nz/~paul/Reports/maori/maori.html
+ The macron is the only accent required for written MÄori and the accent can only be applied to vowels, so the full set of accented characters are:
+lower case a, with macron 	Ä 		upper case A, with macron 	Ä
+lower case e, with macron 	Ä 		upper case E, with macron 	Ä
+lower case i, with macron 	Ä« 		upper case I, with macron 	Äª
+lower case o, with macron 	Å 		upper case O, with macron 	Å
+lower case u, with macron 	Å« 		upper case U, with macron 	Åª 
+
+http://emacs.1067599.n8.nabble.com/Entering-vowels-with-macrons-td72136.html
+	Ctrl+\
+	type rfc1345 (and enter)
+	type &a- to get a-macron
+	Then Ctrl+\ to toggle back to default input
+	(Can thereafter toggle with Ctrl+\ to get back to rfc1345 input method)
+
+
+OTHER:
+https://sachachua.com/blog/2011/04/writing-macrons-linux-latin-pronunciation/
+To add macrons: Ctrl-\ "latin-alt-postfix". But doesn't have all macronised vowels as used in Te Reo.
+Then Ctrl-\ to get default input editor back.
+https://www.gnu.org/software/emacs/manual/html_node/emacs/Select-Input-Method.html
Index: gs3-extensions/maori-lang-detection/MoreReading/other.txt
===================================================================
--- gs3-extensions/maori-lang-detection/MoreReading/other.txt	(revision 33408)
+++ gs3-extensions/maori-lang-detection/MoreReading/other.txt	(revision 33409)
@@ -5,39 +5,2 @@
 
 
-http://www.basicsbehind.com/extract-text-webpage/
-	http://www.l3s.de/~kohlschuetter/publications/wsdm187-kohlschuetter.pdf
-https://stackoverflow.com/questions/16649535/access-a-common-crawl-aws-public-dataset/25297965#25297965
-
-
-http://commoncrawl.org/2019/07/june-2019-crawl-archive-now-available/
-			File List	#Files	Total Size Compressed (TiB)
-	WET files	CC-MAIN-2019-26/wet.paths.gz	56000	7.59
-
-
-http://commoncrawl.org/2015/04/announcing-the-common-crawl-index/
-(Instructions)
-
-https://gist.github.com/svemir/4207353
-(Hadoop related) A Common Crawl Experiment
-
-https://gist.github.com/Smerity/afe7430fdb4371015466
-
- Extract just the text from Common Crawl WARC WET files
- 
-https://stackoverflow.com/tags/common-crawl/hot?filter=all
-
-https://stackoverflow.com/questions/45920527/get-offset-and-length-of-a-subset-of-a-wat-archive-from-common-crawl-index-serve/46152773#46152773
-
-
-"The Common Crawl index does not contain offsets into WAT and WET files. So, the only way is to search the whole WAT/WET file for the desired record/URL. Eventually, it would be possible to estimate the offset because the record order in WARC and WAT/WET files is the same."
-
-https://dmorgan.info/posts/common-crawl-python/
-https://groups.google.com/forum/#!topic/common-crawl/pdI3w09AAbQ
-
-Example:
-WARC:
-tikauka:[142]/Scratch/anupama/maori-lang-detection>wget https://commoncrawl.s3.amazonaws.com/crawl-data/CC-MAIN-2019-30/segments/1563195526237.47/crawldiagnostics/CC-MAIN-20190719115720-20190719141720-00077.warc.gz
-WET:
-tikauka:[142]/Scratch/anupama/maori-lang-detection>wget https://commoncrawl.s3.amazonaws.com/crawl-data/CC-MAIN-2019-30/segments/1563195526237.47/wet/CC-MAIN-20190719115720-20190719141720-00508.warc.wet.gz
-tikauka:[142]/Scratch/anupama/maori-lang-detection>gunzip CC-MAIN-20190719115720-20190719141720-00508.warc.wet.gz 
-