Index: other-projects/is-sheet-music-encore/trunk/java-gen-corpus/gen-500-MU-hathiValidIDList.txt
===================================================================
--- other-projects/is-sheet-music-encore/trunk/java-gen-corpus/gen-500-MU-hathiValidIDList.txt	(revision 33375)
+++ other-projects/is-sheet-music-encore/trunk/java-gen-corpus/gen-500-MU-hathiValidIDList.txt	(revision 33437)
@@ -1,500 +1,0 @@
-dul1.ark:/13960/t4xh15j02
-mdp.39015096355709
-mdp.39015097853314
-mdp.39015096696524
-mdp.39015096379261
-mdp.39015096652899
-mdp.39015096575884
-mdp.39015096559383
-mdp.39015097810900
-mdp.39015096571321
-mdp.39015097851557
-mdp.39015097853801
-mdp.39015097812914
-mdp.39015096611853
-mdp.39015096700235
-mdp.39015096378800
-mdp.39015096640068
-mdp.39015096690022
-mdp.39015096343762
-mdp.39015080961942
-mdp.39015097833837
-nc01.ark:/13960/t50g5wb1m
-mdp.39015096694156
-nc01.ark:/13960/t4sj2t73t
-mdp.39015096695336
-nc01.ark:/13960/t6f19v52s
-mdp.39015096346666
-mdp.39015096567550
-mdp.39015096354926
-mdp.39015097809233
-mdp.39015096424836
-mdp.39015097851672
-mdp.39015097848538
-mdp.39015096372134
-mdp.39015096611861
-mdp.39015096610715
-mdp.39015097826054
-aeu.ark:/13960/t50g4rs6t
-mdp.39015096605277
-mdp.39015080945762
-mdp.39015096539591
-mdp.39015097828803
-mdp.39015097783230
-mdp.39015080965588
-mdp.39015097810041
-mdp.39015096449965
-mdp.39015096356707
-mdp.39015096378081
-nc01.ark:/13960/t5cc2n475
-mdp.39015096352201
-mdp.39015096411932
-mdp.39015096355220
-mdp.39015097785714
-mdp.39015097794989
-mdp.39015096582815
-nc01.ark:/13960/t48p7tq7n
-mdp.39015096343994
-mdp.39015080964060
-mdp.39015097782307
-mdp.39015097797420
-wau.39352026303560
-mdp.39015096356129
-mdp.39015097806411
-mdp.39015097845526
-nc01.ark:/13960/t6d22f88f
-nc01.ark:/13960/t3vt3f86n
-mdp.39015096450708
-mdp.39015096345379
-mdp.39015096414860
-mdp.39015097831203
-mdp.39015097831930
-mdp.39015096395200
-mdp.39015096459485
-mdp.39015096701993
-mdp.39015096565091
-mdp.39015096556017
-mdp.39015096551398
-mdp.39015096539880
-mdp.39015080932513
-mdp.39015096449742
-mdp.39015096374007
-nc01.ark:/13960/t06x1kg14
-mdp.39015096356079
-mdp.39015096557452
-mdp.39015096689982
-nc01.ark:/13960/t9087wj9z
-mdp.39015097795986
-mdp.39015080947339
-mdp.39015096581700
-miua.5399937.0001.001
-mdp.39015096528925
-mdp.39015097843232
-mdp.39015097831070
-mdp.39015096548386
-mdp.39015096606622
-mdp.39015080947099
-mdp.39015097839073
-mdp.39015096431070
-mdp.39015097784162
-mdp.39015097820545
-wau.39352027329804
-nc01.ark:/13960/t2x35vt55
-mdp.39015097809340
-mdp.39015096462844
-dul1.ark:/13960/t2x41569k
-mdp.39015097820495
-mdp.39015096373579
-nc01.ark:/13960/t9281zr6c
-wau.39352026655274
-coo.31924062612282
-mdp.39015096358240
-mdp.39015096541480
-mdp.39015096465953
-mdp.39015097793007
-mdp.39015096538957
-mdp.39015097840279
-mdp.39015096640589
-mdp.39015088980407
-mdp.39015096380566
-miua.1542298.0001.001
-miua.5256125.0002.001
-uma.ark:/13960/t8pc3vs56
-mdp.39015096535441
-mdp.39015080932125
-mdp.39015096381572
-mdp.39015097843844
-mdp.39015097796653
-mdp.39015096542207
-mdp.39015097809373
-aeu.ark:/13960/t1kh1qw26
-mdp.39015096472348
-mdp.39015096352276
-uiuo.ark:/13960/t7kp82m95
-nc01.ark:/13960/t78s6zb0g
-mdp.39015097808631
-nc01.ark:/13960/t1wd6jt79
-mdp.39015096429835
-mdp.39015097842929
-mdp.39015097814027
-mdp.39015097790607
-mdp.39015096698009
-mdp.39015097819794
-mdp.39015096550978
-mdp.39015093756677
-mdp.39015096529931
-mdp.39015096565588
-mdp.39015096406585
-mdp.39015096355923
-mdp.39015096639938
-mdp.39015097819919
-miua.1305273.0001.001
-mdp.39015080972238
-mdp.39015096534261
-nc01.ark:/13960/t0dv3bb97
-mdp.39015097837929
-mdp.39015097794005
-mdp.39015096533180
-nc01.ark:/13960/t5db8xq8t
-mdp.39015096562486
-mdp.39015096398279
-miua.5095954.0001.001
-nc01.ark:/13960/t7gq7zm51
-mdp.39015097785623
-mdp.39015097847274
-mdp.39015096348837
-mdp.39015096369445
-mdp.39015096548634
-mdp.39015096406551
-mdp.39015096547636
-mdp.39015096642684
-mdp.39015097831047
-mdp.39015096371797
-mdp.39015096456994
-nc01.ark:/13960/t38067v5w
-mdp.39015096445104
-mdp.39015096374569
-mdp.39015097857711
-mdp.39015097780798
-mdp.39015096580801
-mdp.39015096350676
-emu.010001066823
-mdp.39015096344109
-uiuo.ark:/13960/t1cj8g40m
-uiuo.ark:/13960/t6451wq4w
-mdp.39015096530848
-mdp.39015097831963
-mdp.39015096697050
-mdp.39015097848447
-mdp.39015096654259
-mdp.39015097854684
-mdp.39015096607653
-mdp.39015097835022
-mdp.39015096526002
-mdp.39015096560126
-mdp.39015096450682
-mdp.39015096456309
-mdp.39015097793189
-mdp.39015096548832
-mdp.39015096552214
-aeu.ark:/13960/t0dv28v9r
-mdp.39015096457851
-nc01.ark:/13960/t81k0np8v
-mdp.39015097787785
-mdp.39015096703452
-bc.ark:/13960/t8md3j87f
-mdp.39015096559862
-uiuo.ark:/13960/t20d2f44b
-mdp.39015096565828
-mdp.39015097839750
-mdp.39015080942090
-mdp.39015096401792
-mdp.39015096572303
-ucbk.ark:/28722/h27b48
-mdp.39015096455848
-mdp.39015097820792
-mdp.39015097822764
-mou.010103825522
-mdp.39015097824935
-mdp.39015096580041
-mdp.39015096437119
-mdp.39015096475648
-mdp.39015096363802
-mdp.39015096527778
-mdp.39015080945804
-mdp.39015097838455
-mdp.39015096582823
-mdp.39015097817228
-mdp.39015097834900
-nc01.ark:/13960/t6g17sw99
-mdp.39015096667665
-mdp.39015096530822
-nc01.ark:/13960/t8bg3kj08
-mdp.39015080921482
-nc01.ark:/13960/t0gt71681
-mdp.39015097845013
-mdp.39015097784543
-nc01.ark:/13960/t6xw5cd8g
-mdp.39015080947537
-mdp.39015080941894
-uiuo.ark:/13960/t3wt52q8z
-nc01.ark:/13960/t1fj39k41
-mdp.39015097806015
-mdp.39015097840618
-mdp.39015096537181
-mdp.39015096371912
-mdp.39015080921458
-mdp.39015088981066
-mdp.39015080947032
-mdp.39015096454163
-mdp.39015096534345
-nc01.ark:/13960/t6m05694c
-mdp.39015080942108
-mdp.39015096666972
-miua.3905855.0001.001
-mdp.39015096575488
-mdp.39015096454304
-mdp.39015096544385
-nc01.ark:/13960/t96703b08
-mdp.39015096365930
-mdp.39015097817194
-mdp.39015096574523
-mdp.39015096381275
-mdp.39015093764010
-mdp.39015096584134
-mdp.39015080940805
-mdp.39015088985158
-mdp.39015096406304
-mdp.39015096563732
-mdp.39015096531978
-nc01.ark:/13960/t50g5g180
-nc01.ark:/13960/t2r50pf9b
-nc01.ark:/13960/t81k09h51
-nc01.ark:/13960/t4fn1xq0f
-mdp.39015096538445
-nc01.ark:/13960/t6xw6w20q
-mdp.39015096530673
-mdp.39015096696482
-mdp.39015096615979
-mdp.39015096552230
-mdp.39015096466274
-mdp.39015096363950
-mdp.39015097828902
-mdp.39015097843711
-miua.5399934.0001.001
-mdp.39015096543866
-mdp.39015096582799
-mdp.69015000002812
-mdp.39015096653046
-mdp.39015096434041
-mdp.39015097857158
-mdp.39015096450195
-mdp.39015096566214
-mdp.39015096443935
-mdp.39015096546265
-mdp.39015096563724
-mdp.39015096574010
-mdp.39015080963765
-mdp.39015097836376
-mdp.39015096701597
-mdp.39015080933115
-nc01.ark:/13960/t8sb52z77
-mdp.39015070661817
-mdp.39015096639953
-mdp.39015080969580
-nc01.ark:/13960/t14n0tc92
-mdp.39015096546687
-mdp.39015097821972
-uiuo.ark:/13960/t9p32390j
-mdp.39015097837838
-mdp.39015096545861
-mdp.39015097803434
-mdp.39015080933198
-mdp.39015096458438
-mdp.39015097820453
-mdp.39015080947883
-nc01.ark:/13960/t8rb82131
-mdp.39015096581981
-mdp.39015080933040
-mdp.39015096641744
-mdp.39015096349256
-dul1.ark:/13960/t3wt0b675
-mdp.39015096548741
-mdp.39015096688729
-mdp.39015097814613
-mdp.39015096445658
-nc01.ark:/13960/t5z61hv0q
-mdp.39015096694719
-mdp.39015096355857
-nc01.ark:/13960/t8gf3f09p
-mdp.39015096377752
-mdp.39015097806619
-mdp.39015097787843
-mdp.39015096368868
-mdp.39015097810686
-mdp.39015096343614
-mdp.39015007864112
-miua.5253957.0001.001
-mdp.39015097783750
-mdp.39015088980480
-miun.anf5594.0001.001
-mdp.39015080937348
-mdp.39015096641298
-mdp.39015096379345
-nc01.ark:/13960/t0sq9qq15
-mdp.39015096567295
-mdp.39015096349462
-mdp.39015097843257
-mdp.39015096578755
-mdp.39015096688265
-nc01.ark:/13960/t54f2pk4g
-mdp.39015096699619
-mdp.39015096452886
-mdp.39015080968848
-mdp.39015096523868
-nc01.ark:/13960/t6rz0m12s
-nc01.ark:/13960/t6wx00z87
-nc01.ark:/13960/t1pg4b252
-mdp.39015096607786
-mdp.39015097789732
-mdp.39015097828308
-mdp.39015093759515
-mdp.39015096363661
-mdp.39015097845724
-nc01.ark:/13960/t15m8wz62
-mdp.39015096413789
-mdp.39015097817525
-mdp.39015096589976
-nc01.ark:/13960/t4wh4cb8j
-mdp.39015046309632
-miua.1546498.0007.001
-mdp.39015096578870
-mdp.39015096551091
-mdp.39015096551836
-mdp.39015097792967
-mdp.39015096559748
-nc01.ark:/13960/t9f50c665
-uiuo.ark:/13960/t73t9n59s
-emu.010000894638
-mdp.39015097841020
-mdp.39015096448215
-nc01.ark:/13960/t6k07vh89
-mdp.39015097786357
-mdp.39015096560662
-nc01.ark:/13960/t81k11k4h
-mdp.39015096460673
-mdp.39015096527257
-mdp.39015096567592
-uiuo.ark:/13960/t05x9ss78
-mdp.39015097837473
-mdp.39015096642403
-nc01.ark:/13960/t87h48t5b
-mdp.39015097814738
-mdp.39015080931515
-mdp.39015097833555
-mdp.39015096363182
-nc01.ark:/13960/t0dv2j38q
-mdp.39015096667806
-mdp.39015080947149
-nc01.ark:/13960/t24b44b2n
-mdp.39015096542389
-mdp.39015096456739
-mdp.39015096364958
-mdp.39015097810140
-mdp.39015097816907
-mdp.39015096532174
-mdp.39015096371730
-mdp.39015096566933
-mdp.39015096359784
-aeu.ark:/13960/t1wd51k25
-mdp.39015096558302
-mdp.39015097784592
-mdp.39015096403103
-mdp.39015096657237
-mdp.39015096417046
-mdp.39015096379451
-mdp.39015096548915
-mdp.39015096532810
-nc01.ark:/13960/t9m33ww2d
-mdp.39015096440196
-mdp.39015096639623
-mdp.39015096561058
-nc01.ark:/13960/t95741w8p
-mdp.39015088974814
-mdp.39015097840998
-mdp.39015097804622
-mdp.39015096666006
-mdp.39015096394765
-nc01.ark:/13960/t22c01q0k
-mdp.39015097803509
-mdp.39015097837374
-mdp.39015097857216
-mdp.39015096395952
-mdp.39015096526184
-mdp.39015096378917
-mdp.39015096466951
-nc01.ark:/13960/t1vd7qv10
-mdp.39015097821931
-mdp.39015097816808
-nc01.ark:/13960/t9961bz9j
-mdp.39015096703197
-mdp.39015096367761
-mdp.39015096539062
-nc01.ark:/13960/t6h14tf6m
-mdp.39015096569333
-mdp.39015080928198
-nc01.ark:/13960/t4gm8zg3s
-mdp.39015096700623
-mdp.39015096565034
-nc01.ark:/13960/t48p87856
-mdp.39015096550341
-aeu.ark:/13960/t57d42b9n
-mdp.39015096654077
-mdp.39015096568731
-mdp.39015096676088
-mdp.39015096557429
-mdp.39015096437283
-mdp.39015097813375
-mdp.39015096589281
-mdp.39015096695518
-mdp.39015080961694
-mdp.39015096640258
-mdp.39015080947776
-nc01.ark:/13960/t22c03h35
-mdp.39015097822335
-dul1.ark:/13960/t5s78dt3x
-mdp.39015096601805
-mdp.39015097814142
-mdp.39015096344778
-mdp.39015088985588
-nc01.ark:/13960/t35150n0x
-mdp.39015097784725
-mdp.39015097792553
-nc01.ark:/13960/t8qc1nw5m
-mdp.39015096538635
-mdp.39015096640183
-mdp.39015097857638
-uc1.31822016299554
-mdp.39015096540599
-uiuo.ark:/13960/t4cn75q7c
-mdp.39015096600278
-mdp.39015097837218
-nc01.ark:/13960/t6nz9st6k
-mdp.39015080946471
-nc01.ark:/13960/t4qj8c90j
-mdp.39015096625937
-nc01.ark:/13960/t2m62h91g
-miua.3905845.0001.001
-uiuc.2432788v1i2
-mdp.39015096466001
-mdp.39015096362648
-mdp.39015096374049
-nc01.ark:/13960/t50g69p7b
-mdp.39015096467116
-mdp.39015097853405
-mdp.39015097804416
-mdp.39015096559094
-mdp.39015096584118
-mdp.39015096548337
-mdp.39015096700490
-mdp.39015096458008