Index: /main/trunk/greenstone2/perllib/strings.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings.properties	(revision 33452)
+++ /main/trunk/greenstone2/perllib/strings.properties	(revision 33453)
@@ -646,4 +646,16 @@
 HTML.url:The url of the web page to link to.
 
+List.desc:A general and flexible list classifier with most of the abilities of AZCompactList, but with better Unicode, metadata and sorting capabilities.
+
+List.metadata:Metadata fields used for classification. Use '/' to separate the levels in the hierarchy and ';' or ',' to separate metadata fields within each level.
+List.metadata_selection_mode:Determines how many metadata values the document is classified by, within each level. Use '/' to separate the levels.
+List.metadata_selection.firstvalue:Only classify by a single metadata value, the first one encountered.
+List.metadata_selection.firstvalidmetadata:Classify by all the metadata values of the first element in the list that has values.
+List.metadata_selection.allvalues:Classify by all metadata values found, from all elements in the list.
+List.metadata_sort_mode:How to sort the values of metadata within each partition. Use '/' to separate the levels.
+List.metadata_sort.unicode:Sort using the Unicode Collation Algorithm. Requires http://www.unicode.org/Public/UCA/latest/allkeys.txt file to be downloaded into perl's lib/Unicode/Collate folder.
+List.metadata_sort.alphabetic:Sort using alphabetical ordering, including for digits. E.g. 10 would sort before 9.
+List.metadata_sort.alphanumeric:Sort using a more natural sort, where digits are treated as numbers and sorted numerically. E.g. 10 would sort after 9.
+
 List.bookshelf_type:Controls when to create bookshelves
 List.bookshelf_type.always:Create a bookshelf icon even if there is only one item in each group at the leaf nodes.
@@ -653,33 +665,30 @@
 List.classify_sections:Classify sections instead of documents.
 
-List.desc:A general and flexible list classifier with most of the abilities of AZCompactList, but with better Unicode, metadata and sorting capabilities.
+List.partition_type_within_level:The type of partitioning done at each level. Separate levels by '/'.
+List.numeric_partition_type_within_level:The type of partitioning done at each level, for those values that start with digits 0-9. Separate levels by '/'.
+List.level_partition.none:None. Will apply to the entire level, both numeric and non-numeric values.
+List.level_partition.per_letter:Create a partition for each letter.
+List.level_partition.per_digit:Create a partition for each digit 0-9.
+List.level_partition.per_number:Create a partition for each number. Control how many digits are used to create numbers using the -numeric_partition_name_length_within_level option.
+List.level_partition.single_partition:Create a single partition 0-9 for all values that start with digits.
+List.level_partition.constant_size:Create partitions with constant size.
+List.level_partition.approximate_size:Create a partition per letter, then group or split the letters to get approximately the same sized partitions. 
+List.level_partition.approximate_size_numeric:Create a partition per number (using -numeric_partition_name_length_within_level to determine how many digits to include in the number), then group or split the partitions to get approximately the same sized partitions. 
+
+List.partition_size_within_level:The number of items in each partition (only applies when partition_type_within_level is set to 'constant_size' or 'approximate_size'). Can be specified for each level. Separate levels by '/'.
+List.numeric_partition_size_within_level:The number of items in each numeric partition (only applies when -numeric_partition_type_within_level is set to 'constant_size' or 'approximate_size'). Can be specified for each level. Separate levels by '/'.
+List.numeric_partition_name_length_within_level:Control how many consecutive digits are grouped to make the number for the numeric partition name. -1 implies all the digits.
+List.partition_name_length:The length of the partition name; defaults to a variable length from 1 up to 3 characters, depending on how many are required to distinguish the partition start from its end. This option only applies when -partition_type_within_level is set to 'constant_size' or 'approximate_size'.
+List.partition_sort_mode_within_level:How to sort the values of metadata to create the partitions.
+List.numeric_partition_sort_mode_within_level:How to sort the values of numeric metadata to create the numeric partitions.
+List.numbers_first:Sort the numbers to the start of the list (by default, metadata values starting with numbers are sorted at the end).
+List.sort_leaf_nodes_using:Metadata fields used for sorting the leaf nodes. Use '|' to separate the metadata groups to stable sort and ';' to separate metadata fields within each group.
+List.sort_leaf_nodes_sort_mode:How to sort the leaf node metadata fields.
+List.reverse_sort_leaf_nodes:Sort the leaf documents in reverse order.
+List.sort_using_unicode_collation:This will override all sorting arguments.
+List.use_hlist_for:Metadata fields to use an hlist rather than a vlist. Use ',' to separate the metadata groups and ';' to separate the metadata fields within each group.
 List.filter_metadata:Metadata element to test against for a document's inclusion into the classifier. Documents will be included if they define this metadata.
 List.filter_regex:Regular expression to use in the filter_metadata test. If a regex is specified, only documents with filter_metadata that matches this regex will be included.
-List.level_partition.none:None.
-List.level_partition.per_letter:Create a partition for each letter.
-List.level_partition.constant_size:Create partitions with constant size.
-List.level_partition.approximate_size:Create a partition per letter, then group or split the letters to get approximately the same sized partitions. 
-
-List.metadata:Metadata fields used for classification. Use '/' to separate the levels in the hierarchy and ';' or ',' to separate metadata fields within each level.
-
-List.metadata_selection_mode:Determines how many metadata values the document is classified by, within each level. Use '/' to separate the levels.
-List.metadata_selection.firstvalue:Only classify by a single metadata value, the first one encountered.
-List.metadata_selection.firstvalidmetadata:Classify by all the metadata values of the first element in the list that has values.
-List.metadata_selection.allvalues:Classify by all metadata values found, from all elements in the list.
-List.partition_name_length:The length of the partition name; defaults to a variable length from 1 up to 3 characters, depending on how many are required to distinguish the partition start from its end. This option only applies when partition_type_within_level is set to 'constant_size'.
-
-List.partition_size_within_level:The number of items in each partition (only applies when partition_type_within_level is set to 'constant_size' or 'approximate_size'). Can be specified for each level. Separate levels by '/'.
-
-List.partition_type_within_level:The type of partitioning done. Can be specified for each level. Separate levels by '/'.
-
-List.reverse_sort_leaf_nodes:Sort the leaf documents in reverse order.
-
-List.sort_leaf_nodes_using:Metadata fields used for sorting the leaf nodes. Use '|' to separate the metadata groups to stable sort and ';' to separate metadata fields within each group.
-
-List.sort_using_unicode_collation:Sort using the Unicode Collation Algorithm. Requires http://www.unicode.org/Public/UCA/latest/allkeys.txt file to be downloaded into perl's lib/Unicode/Collate folder.
-
 List.standardize_capitalization:Metadata values are lowercased for sorting into bookshelves. Set this option to use these lowercase values for bookshelf display names. Otherwise, the majority case variant will be used.
-
-List.use_hlist_for:Metadata fields to use a hlist rather than a vlist. Use ',' to separate the metadata groups and ';' to separate the metadata fields within each group.
 
 SimpleList.metadata:A single metadata field or a comma separated list of metadata fields used for classification. Following the order indicated by the list, the first field that contains a metadata value will be used. List will be sorted by this element, unless -sort is used. If no metadata is specified, then all documents will be included in the list, otherwise only documents that contain a metadata value will be included.