Index: /main/trunk/greenstone2/perllib/strings.properties
===================================================================
--- /main/trunk/greenstone2/perllib/strings.properties	(revision 33458)
+++ /main/trunk/greenstone2/perllib/strings.properties	(revision 33459)
@@ -604,5 +604,5 @@
 BasClas.removesuffix:A suffix to ignore in metadata values when sorting.
 
-BasClas.verbosity:Controls the quantity of output. 0=none, 3=lots.
+BasClas.verbosity:Controls the quantity of classifier processing output during building. 0=none, 3=lots.
 
 Browse.desc:A fake classifier that provides a link in the navigation bar to a prototype combined browsing and searching page. Only works for mgpp collections, and is only practical for small collections.
@@ -649,9 +649,9 @@
 
 List.metadata:Metadata fields used for classification. Use '/' to separate the levels in the hierarchy and ';' or ',' to separate metadata fields within each level.
-List.metadata_selection_mode:Determines how many metadata values the document is classified by, within each level. Use '/' to separate the levels.
+List.metadata_selection_mode_within_level:Determines how many metadata values the document is classified by, within each level. Use '/' to separate the levels.
 List.metadata_selection.firstvalue:Only classify by a single metadata value, the first one encountered.
 List.metadata_selection.firstvalidmetadata:Classify by all the metadata values of the first element in the list that has values.
 List.metadata_selection.allvalues:Classify by all metadata values found, from all elements in the list.
-List.metadata_sort_mode:How to sort the values of metadata within each partition. Use '/' to separate the levels.
+List.metadata_sort_mode_within_level:How to sort the values of metadata within each partition. Use '/' to separate the levels.
 List.metadata_sort.unicode:Sort using the Unicode Collation Algorithm. Requires http://www.unicode.org/Public/UCA/latest/allkeys.txt file to be downloaded into perl's lib/Unicode/Collate folder.
 List.metadata_sort.alphabetic:Sort using alphabetical ordering, including for digits. E.g. 10 would sort before 9.
@@ -660,16 +660,16 @@
 List.bookshelf_type:Controls when to create bookshelves
 List.bookshelf_type.always:Create a bookshelf icon even if there is only one item in each group at the leaf nodes.
-List.bookshelf_type.never:Never create a bookshelf icon even if there are more than one item in each group at the leaf nodes.
-List.bookshelf_type.duplicate_only:Create a bookshelf icon only when there are more than one item in each group at the leaf nodes.
+List.bookshelf_type.never:Never create a bookshelf icon even if there is more than one item in each group at the leaf nodes.
+List.bookshelf_type.duplicate_only:Create a bookshelf icon only when there is more than one item in each group at the leaf nodes.
 
 List.classify_sections:Classify sections instead of documents.
 
-List.partition_type_within_level:The type of partitioning done at each level. Separate levels by '/'.
+List.partition_type_within_level:The type of partitioning done at each level, for those values that start with word characters (not digits). Separate levels by '/'.
 List.numeric_partition_type_within_level:The type of partitioning done at each level, for those values that start with digits 0-9. Separate levels by '/'.
-List.level_partition.none:None. Will apply to the entire level, both numeric and non-numeric values.
-List.level_partition.per_letter:Create a partition for each letter.
+List.level_partition.none:None. Will apply to the entire level, both numeric and non-numeric values; i.e. Setting none in either partition_type_within_level and numeric_partition_type_within_level will result in both these options being set to none.
+List.level_partition.per_letter:Create a partition for each letter (word character).
 List.level_partition.per_digit:Create a partition for each digit 0-9.
 List.level_partition.per_number:Create a partition for each number. Control how many digits are used to create numbers using the -numeric_partition_name_length_within_level option.
-List.level_partition.single_partition:Create a single partition 0-9 for all values that start with digits.
+List.level_partition.single:Create a single partition 0-9 for all values that start with digits.
 List.level_partition.constant_size:Create partitions with constant size.
 List.level_partition.approximate_size:Create a partition per letter, then group or split the letters to get approximately the same sized partitions. 
@@ -683,13 +683,11 @@
 List.numeric_partition_sort_mode_within_level:How to sort the values of numeric metadata to create the numeric partitions.
 List.numbers_first:Sort the numbers to the start of the list (by default, metadata values starting with numbers are sorted at the end).
-List.sort_leaf_nodes_using:Metadata fields used for sorting the leaf nodes. Use '|' to separate the metadata groups to stable sort and ';' to separate metadata fields within each group.
+List.sort_leaf_nodes_using:Metadata fields used for sorting the leaf nodes (i.e. those documents in a bookshelf). Use '|' to separate the metadata groups to stable sort and ';' to separate metadata fields within each group.
 List.sort_leaf_nodes_sort_mode:How to sort the leaf node metadata fields.
 List.reverse_sort_leaf_nodes:Sort the leaf documents in reverse order.
 List.sort_using_unicode_collation:This will override all sorting arguments.
-List.use_hlist_for:Metadata fields to use an hlist rather than a vlist. Use ',' to separate the metadata groups and ';' to separate the metadata fields within each group.
 List.filter_metadata:Metadata element to test against for a document's inclusion into the classifier. Documents will be included if they define this metadata.
-List.filter_regex:Regular expression to use in the filter_metadata test. If a regex is specified, only documents with filter_metadata that matches this regex will be included.
-List.standardize_capitalization:Metadata values are lowercased for sorting into bookshelves. Set this option to use these lowercase values for bookshelf display names. Otherwise, the majority case variant will be used.
-
+List.filter_regex:Regular expression to use in the filter_metadata test. If a regex is specified, only documents with filter_metadata that match this regex will be included.
+List.standardize_capitalization:Metadata values are lowercased for sorting into bookshelves. Set this option to use these lowercase values for bookshelf display names. Otherwise, the case variant that occurs most frequently will be used.
 SimpleList.metadata:A single metadata field or a comma separated list of metadata fields used for classification. Following the order indicated by the list, the first field that contains a metadata value will be used. List will be sorted by this element, unless -sort is used. If no metadata is specified, then all documents will be included in the list, otherwise only documents that contain a metadata value will be included.
 
@@ -1448,5 +1446,5 @@
 BasPlugout.output_handle: the file descriptor used to receive output data
 BasPlugout.output_info:The reference to an arcinfo object used to store information about the archives.
-BasPlugout.verbosity:Controls the quantity of output. 0=none, 3=lots.
+BasPlugout.verbosity:Controls the quantity of plugout processing output. 0=none, 3=lots.
 BasPlugout.xslt_file:Transform a document with the XSLT in the named file.
 BasPlugout.subdir_hash_prefix:Specify flag to not count the word HASH in the split length calculation.